import { defineComponent, onMounted, ref } from "vue";
import styles from "./index.module.less";
import { Icon } from "vant";

export default defineComponent({
	name: "DetailGuide",
	emits: ["close"],
	setup(props, { emit }) {
		const detailRef = ref();
		return () => (
			<div ref={detailRef} class={styles.detail}>
				<div class={styles.btn} onClick={() => emit("close", true)}>
					不再提醒
				</div>
				<span class={styles.closeIcon} onClick={() => emit("close")}></span>
				{/* <Icon class={styles.close} name="cross" onClick={() => emit("close")} /> */}
			</div>
		);
	},
});
